diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
index 8c48881..00b9f76 100644
--- a/src/bin/psql/tab-complete.c
+++ b/src/bin/psql/tab-complete.c
@@ -1454,10 +1454,22 @@ psql_completion(const char *text, int start, int end)
 			 pg_strcasecmp(prev2_wd, "VIEW") == 0)
 	{
 		static const char *const list_ALTERMATVIEW[] =
-		{"ALTER COLUMN", "OWNER TO", "RENAME TO", "SET SCHEMA", NULL};
+		{"ALTER COLUMN", "CLUSTER ON", "OWNER TO", "RENAME TO", "RESET",
+		 "SET", NULL};
 
 		COMPLETE_WITH_LIST(list_ALTERMATVIEW);
 	}
+	/* ALTER MATERIALIZED VIEW <name> SET */
+	else if (pg_strcasecmp(prev5_wd, "ALTER") == 0 &&
+			 pg_strcasecmp(prev4_wd, "MATERIALIZED") == 0 &&
+			 pg_strcasecmp(prev3_wd, "VIEW") == 0 &&
+			 pg_strcasecmp(prev_wd, "SET") == 0)
+	{
+		static const char *const list_ALTERMATVIEWSET[] =
+		{"(", "SCHEMA", "TABLESPACE", "WITHOUT CLUSTER", NULL};
+
+		COMPLETE_WITH_LIST(list_ALTERMATVIEWSET);
+	}
 
 	/* ALTER POLICY <name> */
 	else if (pg_strcasecmp(prev2_wd, "ALTER") == 0 &&
